### Method

# EDataBook DataBookView claim_contact_uid

since: 3.50

#### Declaration [src]

    void
    e_data_book_view_claim_contact_uid (
      EDataBookView* self,
      const gchar* uid
    )

#### Description [src]

Tells the `self`, that it contains a contact with UID `uid`. This is useful for “manual query” view, which do not do initial notifications. It helps to not send “objects-added” signal for contacts, which are already part of the `self`, because for them the “objects-modified” should be emitted instead.

Available since: 3.50

#### Parameters

`uid`

  Type: `const gchar*`

  A contact UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.